Subject: Re: [PATCH iproute2 1/1] DEBUG: Fix make check when need build generate_nlmsg

From: Stephen Hemminger <[email-masked]>
Date: Mon, 22 Oct 2018 09:51:06 -0700

On Tue, 25 Sep 2018 14:49:56 +0200
Petr Vorel <[email-masked]> wrote:

> make check from top level Makefile defines several flags which break
> building generate_nlmsg:
> 
> $ make check
> make -C tools
> gcc  -Wall -Wstrict-prototypes  -Wmissing-prototypes -Wmissing-declarations -Wold-style-definition -Wformat=2 -O2 -I../include -I../include/uapi -DRESOLVE_HOSTNAMES -DLIBDIR=\"/usr/lib\" -DCONFDIR=\"/etc/iproute2\" -DNETNS_RUN_DIR=\"/var/run/netns\" -DNETNS_ETC_DIR=\"/etc/netns\" -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE  -DHAVE_SETNS -DHAVE_SELINUX -DHAVE_ELF -DHAVE_LIBMNL -I/usr/include/libmnl -DNEED_STRLCPY -DHAVE_LIBCAP ../lib/libutil.a ../lib/libnetlink.a -lselinux -lelf -lmnl -lcap  -I../../include -include../../include/uapi/linux/netlink.h -o generate_nlmsg generate_nlmsg.c ../../lib/libnetlink.c -lmnl
> gcc: error: ../lib/libutil.a: No such file or directory
> gcc: error: ../lib/libnetlink.a: No such file or directory
> make[2]: *** [Makefile:5: generate_nlmsg] Error 1
> make[1]: *** [Makefile:40: generate_nlmsg] Error 2
> 
> To fix it reset CFLAGS in sub Makefile and remove LDLIBS entirely (as
> required -lmnl flag was specified in 5dc2204c ("testsuite: add libmnl").
> 
> Fixes: 8804a8c0 ("Makefile: Add check target")
> 
> Signed-off-by: Petr Vorel <[email-masked]>
> ---
> Hi Stephen,
> 
> I'm sorry for this regression.
> 
> Kind regards,
> Petr

Applied, it seem to have gotten lost somewhere between my laptop and the repo.